package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 景区对象 sys_scenic
 * 
 * @author haotian
 * @date 2024-11-08
 */
public class SysScenic extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 景区id, */
    private Long scenicId;

    /** 所属城市id */
    @Excel(name = "所属城市id")
    private Long cityId;

    /** 城市名 */
    @Excel(name = "城市名")
    private String city;

    /** 景区名 */
    @Excel(name = "景区名")
    private String scenic;

    // 景区预览图
    private String preview;

    public void setScenicId(Long scenicId) 
    {
        this.scenicId = scenicId;
    }

    public Long getScenicId() 
    {
        return scenicId;
    }
    public void setCityId(Long cityId) 
    {
        this.cityId = cityId;
    }

    public Long getCityId() 
    {
        return cityId;
    }
    public void setCity(String city) 
    {
        this.city = city;
    }

    public String getCity() 
    {
        return city;
    }
    public void setScenic(String scenic) 
    {
        this.scenic = scenic;
    }

    public String getScenic() 
    {
        return scenic;
    }

    public String getPreview() {
        return preview;
    }

    public void setPreview(String preview) {
        this.preview = preview;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("scenicId", getScenicId())
            .append("cityId", getCityId())
            .append("city", getCity())
            .append("scenic", getScenic())
            .toString();
    }
}
